package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/rozmowa")
public class RozmowaController {
	
	@GetMapping
	public String rozmowaGet() {
		return "rozmowa.html";
	}

	@PostMapping
	public String rozmowaPost(String imie, Model model) {
		if(imie != null && !imie.isBlank()) {
			model.addAttribute("message", "Witaj " + imie);
		}
		return "rozmowa.html";
	}
	
}
